{% extends 'base.html' %}

{% block mainblock %}
    <main>
        <div>

            <h1>My Tasks</h1>


            {% if task_list %}
                <table>
                    <thead>
                        <th>Name</th>
                        <th>Start date</th>
                        <th>End date</th>
                        <th>Is completed</th>

                    </thead>

                    <tbody>

                        {% for task in task_list.all %}
                            <tr>
                                <td>{{task.name}}</td>
                                <td>{{task.start_date|date:"m/d/Y"}}</td>
                                <td>{{task.due_date|date:"m/d/Y"}}</td>

                                {% if task.is_completed %}
                                    <td>Done</td>
                                {% else %}
                                    <td>
                                        <form method="post" action="{% url 'complete_task' task.id%}">
                                            {% csrf_token %}
                                            <input type="hidden" name="is_completed" value="True">
                                            <button>Complete</button>
                                            {% if task.is_completed %}
                                                {{task.is_completed}}
                                            {% endif %}
                                        </form>
                                    </td>

                                {% endif %}

                            </tr>
                        {% endfor %}

                    </tbody>
                </table>

            {% else %}
                <p>You have no tasks</p>


            {% endif %}


        </div>
    </main>
{% endblock %}